#ifndef STRINGTABLESH_H
#define STRINGTABLESH_H

#include "xasset.h"
#include "xstring.h"

class XStringTable : public XAsset
{
public:
    explicit XStringTable();
    ~XStringTable();

    XString* GetName() const;
    XStringArray* GetValues() const;
    int GetColumnCount() const;
    int GetRowCount() const;

    virtual void ParseData(XDataStream* aStream) override;
    virtual void Clear() override;

public slots:
    void SetName(QString aName);
    void SetName(XString* aName);
    void SetValues(XStringArray *aValues);
    void SetColumnCount(int aColumnCount);
    void SetRowCount(int aRowCount);

private:
    XString*      mName;
    XStringArray* mValues;
    int           mColumnCount;
    int           mRowCount;
};

#endif // STRINGTABLESH_H
